package ru.dbotthepony.mc.otm.screen.panels;

import com.mojang.blaze3d.vertex.PoseStack;
import ru.dbotthepony.mc.otm.menu.MatteryMenu;
import ru.dbotthepony.mc.otm.menu.widget.AbstractWidget;
import ru.dbotthepony.mc.otm.screen.MatteryScreen;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public class MatteryWidgetPanel<T extends MatteryMenu> extends EditablePanel {
	public final AbstractWidget<T> widget;

	public MatteryWidgetPanel(@Nonnull MatteryScreen<T> screen, @Nullable EditablePanel parent, AbstractWidget<T> widget) {
		super(screen, parent, widget.x, widget.y, widget.getImageWidth(), widget.getImageHeight());
		widget.x = 0;
		widget.y = 0;
		this.widget = widget;
	}

	@Override
	protected void innerRender(PoseStack stack, float mouse_x, float mouse_y, float flag) {
		widget.setIsHovered(is_hovered);
		widget.renderBackground((MatteryScreen<T>) screen, stack, 0, 0);
	}

	@Override
	protected void innerRenderTooltips(PoseStack stack, float mouse_x, float mouse_y, float flag) {
		widget.renderTooltip((MatteryScreen<T>) screen, stack, (int) mouse_x, (int) mouse_y);
	}
}
